shutter (0.99.7-0.1~mx25) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 May 2026 05:46:38 -0700

shutter (0.99.7-1xtradeb1.2604.1) resolute; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 16 May 2026 08:20:24 +0200

shutter (0.99.6-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 02 Mar 2025 18:18:37 +0100

shutter (0.99.5-1xtradeb1.2404.1) noble; urgency=medium

  * Rebuild for noble

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 25 Apr 2024 08:02:58 +0200

shutter (0.99.5-1xtradeb1.2204.1) jammy; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 01 Apr 2024 19:44:11 +0200

shutter (0.99.4-1~xtradeb2) jammy; urgency=medium

  * New upstream release.
  * Two further bugs have been fixed after the recent 0.99.3 release:
   - Fix not appearing tray icon on system startup under rare circumstances
   - Fix crash on launch for new installs

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 12 Mar 2023 09:17:46 +0100

shutter (0.99.3-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * After a long time there is another bugfix release:
   - Improved code quality a bit, added a few unit tests
   - Fixed font size in the editor
   - Fixed loading of profiles
   - Fixed crash when taking too small screenshots
   - Fixed appearance of the web capture button
   - Fixed XML schema of AppData
   - Allow more valid character in filenames
   - Removed dysfunctional upload plugins
   - Added a visible warning about limited functionality on Wayland

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 08 Mar 2023 20:18:59 +0100

shutter (0.99.2-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Bug fixes
   - Introduction of rudimentary Wayland support

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 30 Oct 2021 19:47:58 +0000

shutter (0.99-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Fixed several more regressions of the Gtk3 switch:
    - Fixed File->Open dialog
    - Fixed Autoscroll option of the Draw tool
   - Added support for gir1.2-ayatanaappindicator3, because some distros don't
     have gir1.2-appindicator3 anymore. If neither of AppIndicator3 nor
     AyatanaAppIndicator3 is available, on some DEs you will miss the tray icon,
     so it's recommended to have at least one of these 2 libraries installed.
   - Fixed schema of the appdata XML, use https in URLs in it
   - Added search keywords to the shutter.desktop file
   - Icons cleanup
    - Dropped a copy of the whole Tango icon set, which was usable from the Draw
      Tool. Any icon can still be imported from the local disk, including
      even Tango ones if they are installed
    - Fixed shutter icon size
    - Removed duplication of the same icons
    - Removed logo images for dropped image hosters

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 05 Sep 2021 08:58:51 +0000

shutter (0.98-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Fixes:
    - show main window when launching Shutter and an instance is already running
    - in selection mode allow to move the selection
    - in selection mode allow to trigger the screenshot with doubleclick
    - fix the Print button
    - when uploading a screenshot via FTP, copying the URL to clipboard is now
      functional
    - fix the "Torn paper" and "Watermark" plugins

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 04 Aug 2021 17:55:59 +0000

shutter (0.97-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Crash fixes:
    - when doing screenshot if "include cursor" is set
    - when using text annotation tools in the editor
    - when launching on Wayland. Note that the screenshot functionality is still
      not available on Wayland yet
    - when using a DE without a dedicated Pictures/ directory
   - Additionally:
    - the tray icon wasn't shown on Gnome, making it impossible to interact with
      the app after the main window is closed/hidden
    - if both libappindicator is not available and the legacy tray icon doesn't
      work (it's not supported by gnome), closing the window will now terminate
      the application rather than hiding it to the non-existing tray
    - copy to clipboard didn't work
    - capturing full screen on multiple screens didn't work

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 23 Jun 2021 21:04:10 +0000

shutter (0.96-3~xtradeb1) focal; urgency=medium

  * Replace patch to fix tray icon

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 31 May 2021 06:36:25 +0000

shutter (0.96-2~xtradeb1) focal; urgency=medium

  * Fix tray icon not working

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 25 May 2021 06:43:11 +0000

shutter (0.96-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - drop dependency on Gtk2, and starts depending on Gtk3 instead. More
     specifically, these perl dependencies are gone:
    - Gtk2
    - Gtk2::ImageView
    - Gtk2::Unique
    - Gtk2::AppIndicator
    - Gnome2::Wnck
    - Goo::Canvas
   - New dependencies:
    - Gtk3
    - Gtk3::ImageView >= 9
    - GooCanvas2 (unlike old Goo::Canvas, this one is not optional anymore)
    - GooCanvas2::CairoTypes
    - Pango
    - libwnck-3, used via Glib Object Introspection
   - The feature of taking a section of window is removed (or, rather, commented
     out), because it didn’t work with the way how modern Qt and Gtk were
     drawing their windows anyway.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 24 May 2021 10:05:57 +0000

shutter (0.95-1~xtradeb3) focal; urgency=medium

  * Fix upstream download URL in debian watch file

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 23 Mar 2021 12:17:56 +0000

shutter (0.95-1~xtradeb2) focal; urgency=medium

  * Add missing dependencies

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 12 Feb 2021 00:04:34 +0000

shutter (0.95-1~xtradeb1) focal; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Jhonny Oliveira ]
  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 10 Feb 2021 18:44:11 +0000

shutter (0.94-1) unstable; urgency=medium
 
  * Team upload

  [ gregor herrmann ]
  * Add libnet-oauth-perl to Recommends.
    Needed by the Dropbox module. (LP: #1372050)

  [ Hideki Yamane ]
  * New upstream release (Closes: #887887)
  * deian/control
    - s/perlmagick/libimage-magick-perl/ (Closes: #789236)
    - set Build-Depends: debhelper (>= 11)
    - set Standards-Version: 4.1.3
  * debian/watch
    - update to version 4 
  * debian/compat
    - set 11
  * debian/patches
    - drop 0002-Force-utf8-for-retrieved-window-name-from-Gtk2.patch, merged
      upstream
    - drop 0003-Fix-error-on-executing-xdg-email.patch, merged upstream
    - drop insecure_use_of_system.patch, merged upstream
    - drop CVE-2016-10081.patch, merged upstream
    - refresh fix-perl-system-calls

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Feb 2018 13:36:03 +0900

shutter (0.93.1-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 19:40:46 +0800

shutter (0.93.1-2~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * mention that patches are forwarded upstream

  [ ChangZhuo Chen (陳昌倬) ]
  * Change Maintainer to pkg-perl (Closes: #856298).
    - Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8.
  * Bump compat to 10.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 03 Mar 2017 15:10:59 +0800

shutter (0.93.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * add patch to fix CVE-2016-10081 (Closes: #849777)
  * add patch to secure system() calls

 -- Dominique Dumont <dod@debian.org>  Fri, 06 Jan 2017 21:07:32 +0100

shutter (0.93.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix decoding of name returned by Gnome2::Wnck
  * control: added dep on libx11-protocol-other-perl

 -- Dominique Dumont <dod@debian.org>  Wed, 21 Dec 2016 11:24:42 +0100

shutter (0.93.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix messy display for non-latin characters.
    (Closes: #847051, LP: #1556021, LP: #1618310)
  * Add patch to fix crash on sending email.
    (Closes: #819149, LP: #1469840)
  * Add libgtk2-appindicator-perl into Recommends list.
    This helps utilize libappindicator and provide with better
    user experience for tray icon.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 06 Dec 2016 21:53:19 +0800

shutter (0.93.1-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix insecure use of system() (Closes: #798862, LP: #1495163).
  * debian/rules: Install WebService/Dropbox.pm

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 05 Nov 2015 21:48:26 -0500

shutter (0.92-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
   - Fixes crash after clicking "edit" while using certain
     icon themes (LP: #1285287).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 10 Aug 2014 11:51:16 -0400

shutter (0.90.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #741035).
  * Don't use dead link in package description (Closes: #708821).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 20 Apr 2014 14:33:24 -0400

shutter (0.88.3-1) unstable; urgency=low

  * New upstream bugfix release
    - update debian/copyright for 2012
  * Move libnet-dropbox-api-perl to Depends (Closes: #666535)
  * Update Standards-Version to 3.9.3

 -- Ryan Niebur <ryan@debian.org>  Fri, 15 Jun 2012 21:16:55 -0700

shutter (0.88.1-1) unstable; urgency=low

  * New upstream release (Closes: #595710)
    - new version preserves configuration changes (Closes: #584310)
    - add Depends on libgtk2-unique-perl, libproc-processtable-perl,
      procps, xdg-utils, libpath-class-perl, libjson-perl, libjson-xs-perl
    - move libgoo-canvas-perl to Recommends
    - add Suggests on libnet-dropbox-api-perl, libimage-exiftool-perl,
      and libnet-dbus-glib-perl
    - remove Depends on libfile-desktopentry-perl, libfile-mimeinfo-perl,
      and libfile-homedir-perl
  * install share/icons to /usr/share/
  * update debian/copyright
  * move git repository to collab-maint
  * use quilt (3.0) source format
  * update Standards-Version to 3.9.2

 -- Ryan Niebur <ryan@debian.org>  Sun, 11 Dec 2011 23:32:58 -0800

shutter (0.85.1-2) unstable; urgency=low

  * move imagemagick back to Depends (Closes: #567612) (LP: #528962)

 -- Ryan Niebur <ryan@debian.org>  Sun, 18 Apr 2010 09:27:13 -0700

shutter (0.85.1-1) unstable; urgency=low

  * New Upstream Version
  * update and change some deps
  * update email address
  * set Standards-Version to 3.8.3

 -- Ryan Niebur <ryan@debian.org>  Thu, 24 Dec 2009 21:47:06 -0800

shutter (0.80.1-1) unstable; urgency=low

  * New Upstream Version
    - update copyright

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 06 Aug 2009 16:29:32 -0700

shutter (0.80-2) unstable; urgency=low

  * move Recommends to Depends to match upstream (Closes: #537512)

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 18 Jul 2009 20:22:59 -0700

shutter (0.80-1) unstable; urgency=low

  * New Upstream Version
    - fixes segfault (LP: 388555)
  * Debian Policy 3.8.2
  * add new dependencies
  * update debian/copyright for newly included modules

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 09 Jul 2009 04:17:01 -0700

shutter (0.70.2-2) unstable; urgency=low

  * don't install anything into /usr/share/app-install/ (Closes:
    #532178)
  * add DMUA field
  * make debian/rules a bit smaller

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 07 Jun 2009 12:29:41 -0700

shutter (0.70.2-1) unstable; urgency=low

  * Initial release (Closes: #522721)

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 26 Apr 2009 11:06:22 -0700
